<Project Sdk="Microsoft.NET.Sdk">
   <Import Project="$(SolutionDir)Program.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <OutputType>Library</OutputType>
      <AssemblyName>Raytheon.Instruments.InstrumentManager.GeneralInstrumentManager</AssemblyName>
      <RootNamespace>Raytheon.Instruments</RootNamespace>
      <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
      <AllowedOutputExtensionsInPackageBuildOutputFolder>$(AllowedOutputExtensionsInPackageBuildOutputFolder);.pdb</AllowedOutputExtensionsInPackageBuildOutputFolder>
      <Company>Raytheon Technologies</Company>
      <Product>General Instrument Manager</Product>
      <Authors>TEEC</Authors>
      <Copyright>Copyright © Raytheon Technologies $([System.DateTime]::get_now().ToString("yyyy"))</Copyright>
      <Description>Instrument Manager that works with RINSS or without RINSS</Description>
      
      <Version>1.4.1</Version>
      <Configurations>Debug;Release;Deploy</Configurations>
   </PropertyGroup>

   <ItemGroup>
      <PackageReference Include="Raytheon.Composition" Version="1.0.0.14" />
      <PackageReference Include="Raytheon.Configuration.Contracts" Version="2.3.0" />
      <PackageReference Include="Raytheon.Configuration" Version="2.6.1" />
      <PackageReference Include="Raytheon.Instruments.RpcInstrumentManager.Contracts" Version="1.1.1.0" />
      <PackageReference Include="Raytheon.Logging.Contracts" Version="1.3.0.0" />
      <PackageReference Include="Raytheon.Instruments.Contracts" Version="1.5.0" />
      <PackageReference Include="Raytheon.Instruments.InstrumentManager.Contracts" Version="1.7.1" />
   </ItemGroup>

   <ItemGroup>
      <Reference Include="System.ComponentModel.Composition" />
      <Reference Include="System.ServiceProcess" />
   </ItemGroup>

</Project>
